See exactly what a 2/20 (or any) fee structure costs an LP over time.
| Name | Type | Required | Description |
|---|---|---|---|
| startingNavUsd | number | Optional | — |
| annualGrossReturnPct | number | Optional | — |
| mgmtFeePct | number | Optional | — |
| perfFeePct | number | Optional | — |
| hurdlePct | number | null | Optional | — |
| hasHwm | boolean | Optional | — |
| crystallization | "annual" | "quarterly" | Optional | — |
| horizonYears | number | Optional | — |
cURL
curl -s -X POST "https://nyxchain.org/api/v1/calc/fee-calculator" \
-H "Content-Type: application/json" \
-d '{"startingNavUsd":25000000,"annualGrossReturnPct":15,"mgmtFeePct":2,"perfFeePct":20,"hurdlePct":null,"hasHwm":true,"crystallization":"annual","horizonYears":5}'JavaScript
const res = await fetch("https://nyxchain.org/api/v1/calc/fee-calculator", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"startingNavUsd": 25000000,
"annualGrossReturnPct": 15,
"mgmtFeePct": 2,
"perfFeePct": 20,
"hurdlePct": null,
"hasHwm": true,
"crystallization": "annual",
"horizonYears": 5
}),
})
const data = await res.json()Python
# POST https://nyxchain.org/api/v1/calc/fee-calculator
import requests
res = requests.post(
"https://nyxchain.org/api/v1/calc/fee-calculator",
json={"startingNavUsd": 25000000, "annualGrossReturnPct": 15, "mgmtFeePct": 2, "perfFeePct": 20, "hurdlePct": None, "hasHwm": True, "crystallization": "annual", "horizonYears": 5},
)
data = res.json()Try It
Request body (JSON)
Sample response
Object(8)
"startingNavUsd": 25000000
"annualGrossReturnPct": 15
"mgmtFeePct": 2
"perfFeePct": 20
"hurdlePct": null
"hasHwm": true
"crystallization": "annual"
"horizonYears": 5